Package org.jbpm.process.audit.command

## Class FindProcessInstancesCommand

- java.lang.Object
- - org.jbpm.process.audit.command.AuditCommand<List<ProcessInstanceLog>>
  - - org.jbpm.process.audit.command.FindProcessInstancesCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<List<ProcessInstanceLog>>`, `org.kie.api.command.ExecutableCommand<List<ProcessInstanceLog>>`

      public class FindProcessInstancesCommand
      extends AuditCommand<List<ProcessInstanceLog>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.command.AuditCommand

      `auditLogService`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FindProcessInstancesCommand()` |
    `FindProcessInstancesCommand​(String processId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<ProcessInstanceLog>` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `String` | `getProcessId()` |
    `void` | `setProcessId​(String processId)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.jbpm.process.audit.command.AuditCommand

      `setAuditLogService, setLogEnvironment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FindProcessInstancesCommand

          public FindProcessInstancesCommand()

    - #### FindProcessInstancesCommand

          public FindProcessInstancesCommand​(String processId)

  - ### Method Detail

    - #### execute

          public List<ProcessInstanceLog> execute​(org.kie.api.runtime.Context cntxt)

    - #### getProcessId

          public String getProcessId()

    - #### setProcessId

          public void setProcessId​(String processId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`